Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005672TestLinkTest Executepublic2013-04-30 15:462013-05-22 20:57
Reportergapiro 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005672: Bulk Execute showing entire tree , instead of just the selected suite
DescriptionLets say we have a test plan layout of
Project
>Suite A
>>Suite B
>>>Test 1
>>>Test 2
>>>>Suite C
>>>>>Test 3
>>Suite D
>>>Test 4

With
$tlCfg->exec_cfg->show_testsuite_contents = ENABLED;

When you click on Suite B, it shows you all the tests in Suite D as well.

See attached screen shot, I clicked on "Covert" and see everything from the tree from the entirety of the test plan
Steps To ReproduceClick on test suite
TagsNo tags attached.
Database (MySQL,Postgres,etc)mySQL
BrowserChrome, Firefox, IE
PHP Version5.3.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon testlink bulk execute.JPG [^] (255,572 bytes) 2013-04-30 15:46


png file icon test-spec-structure.png [^] (13,223 bytes) 2013-04-30 18:39


png file icon testexec.png [^] (79,700 bytes) 2013-04-30 18:39


xml file icon ISSUE-5672.testproject-deep(1).xml [^] (4,455 bytes) 2013-04-30 18:40

- Relationships

-  Notes
(0018807)
fman (administrator)
2013-04-30 18:39

Latest code from gitorious - Fedora 18 64bits - LAMPP 1.8.1

1. create test project
2. import XML provided
3. create a Test plan
4. create a build
5. add ALL TEST CASES to Test plan
6. Access execution feature
7. NO FILTERS APPLIED
8. Click on differente test suites at different levels on tree => always ONLY direct children are displayed
(0018810)
fman (administrator)
2013-05-01 08:13

Need feedback of tests done by user using latest code from gitoriuos using a copy of his current db.
(0018811)
gapiro (reporter)
2013-05-01 08:34

Is the latest code the tree under
http://gitorious.org/testlink-ga/testlink-code/ [^]
?
(0018812)
fman (administrator)
2013-05-01 08:40

There is an issue on mantis indicating how to get latest code.
(0018813)
fman (administrator)
2013-05-01 09:00

subject: Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious
(0018814)
gapiro (reporter)
2013-05-01 09:01

Cheer, already found it. Just installing it onto a test server now.
(0018818)
gapiro (reporter)
2013-05-01 10:33
edited on: 2013-05-01 10:33

Appears to work as expected on test server using latest 1.9 build from gitorious. Will be updating live server after office hours tonight.

(0018819)
fman (administrator)
2013-05-01 10:36
edited on: 2013-05-01 10:37

Great!

if you find TL useful, think about donation to support our work
You can donate to:
1. have access to personalized support (usage and/or development)
2. request custom development (companies like Mobotix,Jetminds,rhiscom as followed this path)
3. allows us to provide more effort to this development (and be a little bit happier)

All TestLink work is done for individuals that donate his/her time to create this application.

(0018820)
gapiro (reporter)
2013-05-01 10:39
edited on: 2013-05-01 10:45

fman, your donation page doesn't work : http://sourceforge.net/p/testlink/donate [^] (is the link on the teamst site). I had a look yesterday! (404 error)

(0018824)
fman (administrator)
2013-05-01 14:59

contact francisco.mancardi@gmail.com for instructions if you want to contribute.

- Issue History
Date Modified Username Field Change
2013-04-30 15:46 gapiro New Issue
2013-04-30 15:46 gapiro File Added: testlink bulk execute.JPG
2013-04-30 18:39 fman Note Added: 0018807
2013-04-30 18:39 fman File Added: test-spec-structure.png
2013-04-30 18:39 fman File Added: testexec.png
2013-04-30 18:40 fman File Added: ISSUE-5672.testproject-deep(1).xml
2013-04-30 18:41 fman Assigned To => fman
2013-04-30 18:41 fman Status new => feedback
2013-05-01 07:55 gapiro Note Added: 0018809
2013-05-01 07:55 gapiro Status feedback => assigned
2013-05-01 07:55 gapiro Note Deleted: 0018809
2013-05-01 08:13 fman Note Added: 0018810
2013-05-01 08:13 fman Status assigned => feedback
2013-05-01 08:34 gapiro Note Added: 0018811
2013-05-01 08:34 gapiro Status feedback => assigned
2013-05-01 08:40 fman Note Added: 0018812
2013-05-01 09:00 fman Note Added: 0018813
2013-05-01 09:01 gapiro Note Added: 0018814
2013-05-01 10:33 gapiro Note Added: 0018818
2013-05-01 10:33 gapiro Note Edited: 0018818 View Revisions
2013-05-01 10:36 fman Note Added: 0018819
2013-05-01 10:37 fman Note Edited: 0018819 View Revisions
2013-05-01 10:37 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-05-01 10:39 gapiro Note Added: 0018820
2013-05-01 10:45 gapiro Note Edited: 0018820 View Revisions
2013-05-01 12:23 fman Status assigned => feedback
2013-05-01 14:59 fman Note Added: 0018824
2013-05-04 07:55 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-05-04 07:55 fman Status feedback => resolved
2013-05-04 07:55 fman Resolution open => fixed
2013-05-22 20:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker